Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class XoplonCtrl

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl

Direct Known Subclasses:
  Button, FileUploadCtrl, Form, ImgButton, Item, TypedCtrl

public abstract class XoplonCtrl
extends java.lang.Object

Base class for all Xoplon controls. Contains static factory function and static access functions to id and label attributes.

Constructor Summary
`XoplonCtrl()`

Method Summary
`protected static org.w3c.dom.Element` | `createCtrl(org.w3c.dom.Document factory, java.lang.String type)` creates ctrl of given type
`static java.lang.String` | `getId(org.w3c.dom.Element element)` returns element's id
`static java.lang.String` | `getLabel(org.w3c.dom.Element elem)` gets element's label
`static java.lang.String` | `getModelReference(org.w3c.dom.Element elem)` gets element's modelReference attribute
`static boolean` | `isDisabled(org.w3c.dom.Element elem)` gets element's disabled property
`static boolean` | `isHidden(org.w3c.dom.Element elem)` gets element's hidden property
`static void` | `setDisabled(org.w3c.dom.Element elem, boolean disabled)` sets element's disabled property
`static void` | `setHidden(org.w3c.dom.Element elem, boolean disabled)` sets element's hidden property
`static void` | `setId(org.w3c.dom.Element elem, java.lang.String id)` sets element's id
`static void` | `setLabel(org.w3c.dom.Element elem, java.lang.String label)` sets element's label
`static void` | `setModelReference(org.w3c.dom.Element elem, java.lang.String label)` defines the model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XoplonCtrl

    public XoplonCtrl()

Method Detail

### createCtrl

    protected static org.w3c.dom.Element createCtrl(org.w3c.dom.Document factory,
                                                    java.lang.String type)

  creates ctrl of given type

### getId

    public static java.lang.String getId(org.w3c.dom.Element element)

  returns element's id

### setId

    public static void setId(org.w3c.dom.Element elem,
                             java.lang.String id)

  sets element's id

### setLabel

    public static void setLabel(org.w3c.dom.Element elem,
                                java.lang.String label)

  sets element's label

### getLabel

    public static java.lang.String getLabel(org.w3c.dom.Element elem)

  gets element's label

### setDisabled

    public static void setDisabled(org.w3c.dom.Element elem,
                                   boolean disabled)

  sets element's disabled property

### isDisabled

    public static boolean isDisabled(org.w3c.dom.Element elem)

  gets element's disabled property

### setHidden

    public static void setHidden(org.w3c.dom.Element elem,
                                 boolean disabled)

  sets element's hidden property

### isHidden

    public static boolean isHidden(org.w3c.dom.Element elem)

  gets element's hidden property

### setModelReference

    public static void setModelReference(org.w3c.dom.Element elem,
                                         java.lang.String label)

  defines the model. The simplest modelReference is the name of a beans attribute. Syntax of jakarta-commons/bean-utils is supported

### getModelReference

    public static java.lang.String getModelReference(org.w3c.dom.Element elem)

  gets element's modelReference attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD